Verfügbare Modelle abrufen
curl --request GET \
--url https://app.famulor.de/api/user/assistants/models \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.de/api/user/assistants/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/assistants/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/assistants/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/assistants/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": 1,
"name": "GPT-4o-mini"
},
{
"id": 2,
"name": "GPT-4.1-mini"
}
]
[
{
"id": 1,
"name": "GPT-4o",
"code": "gpt-4o-realtime"
},
{
"id": 4,
"name": "GPT Realtime",
"code": "gpt-realtime"
}
]
Verfügbare Modelle abrufen
Verfügbare KI-Modelle für die Assistenten-Konfiguration abrufen
GET
/
api
/
user
/
assistants
/
models
Verfügbare Modelle abrufen
Dieser Endpunkt gibt eine Liste der verfügbaren KI-Modelle zurück, die beim Erstellen oder Aktualisieren von Assistenten verwendet werden können.
Query-Parameter
string
Standard:"llm"
Der Typ der abzurufenden Modelle, basierend auf dem Engine-Modus:
llm- LLM-Modelle für den Modus pipeline (Standard)multimodal- Multimodale Modelle für den Modus multimodaldualplex- Multimodale Modelle für den Modus dualplex
Antwort-Felder
array
[
{
"id": 1,
"name": "GPT-4o-mini"
},
{
"id": 2,
"name": "GPT-4.1-mini"
}
]
[
{
"id": 1,
"name": "GPT-4o",
"code": "gpt-4o-realtime"
},
{
"id": 4,
"name": "GPT Realtime",
"code": "gpt-realtime"
}
]
Hinweise
- Wenn kein
type-Parameter angegeben wird, werden standardmäßig LLM-Modelle zurückgegeben - Verwende das Feld
llm_model_id, wenn du pipeline Assistenten erstellst - Verwende das Feld
multimodal_model_id, wenn du multimodal oder dualplex Assistenten erstellst
Passende Seiten: Introduction und Authentication Guide und API Integration Examples.